Nested(3)

Name
Nested

Synopsis

Module Nested

This comment needs to be here before #235 is fixed.

Documentation

1 Module

module X : sig ... end
This is module X.

2 Module type

module type Y = sig

2.1.1 Type

type t
Some type.

2.1.2 Values

val y : t
The value of y.
end
This is module type Y.

3 Functor

module F (Arg1 : Y) (Arg2 : sig ... end) : sig ... end
This is a functor F.

4 Class

class virtual  z : object ... end
This is class z.

class virtual  inherits : object ... end